net.i2p.router.crypto.ratchet

## Class SingleTagSet

- java.lang.Object
- - net.i2p.router.crypto.ratchet.RatchetTagSet
  - - net.i2p.router.crypto.ratchet.SingleTagSet

- All Implemented Interfaces:
    TagSetHandle

      class SingleTagSet
      extends RatchetTagSet

  Single-use tag set for handling inbound Existing Session messages in database replies with fixed nonce of 0, designed for DSM/DSRM response processing

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.crypto.ratchet.RatchetTagSet

      `_key, DEBUG_IB_NSR, DEBUG_OB_NSR, DEBUG_SINGLE_ES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleTagSet(SessionTagListener lsnr, SessionKey key, RatchetSessionTag tag, long date, long timeout)` For outbound Existing Session

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SessionKeyAndNonce` | `consume(RatchetSessionTag tag)` inbound only
    `int` | `remaining()` tags remaining
    `int` | `size()` unused tags generated
    `String` | `toString()`

    - ### Methods inherited from class net.i2p.router.crypto.ratchet.RatchetTagSet

      `clear, consumeNext, consumeNextKey, getAcked, getAssociatedKey, getCreated, getDate, getDebugID, getExpiration, getHandshakeState, getID, getNextKey, getNextKeys, getNextRootKey, getRemoteKey, getTimeout, setDate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleTagSet

          public SingleTagSet(SessionTagListener lsnr,
                              SessionKey key,
                              RatchetSessionTag tag,
                              long date,
                              long timeout)

      For outbound Existing Session

  - ### Method Detail

    - #### consume

          public SessionKeyAndNonce consume(RatchetSessionTag tag)

      Description copied from class: `RatchetTagSet`
      inbound only
      Overrides:
        `consume` in class `RatchetTagSet`
      Returns:
        associated SessionKey or null if not found.

    - #### remaining

          public int remaining()

      Description copied from class: `RatchetTagSet`
      tags remaining
      Overrides:
        `remaining` in class `RatchetTagSet`
      Returns:
        0 - 65536

    - #### size

          public int size()

      Description copied from class: `RatchetTagSet`
      unused tags generated
      Overrides:
        `size` in class `RatchetTagSet`
      Returns:
        0 for outbound

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `RatchetTagSet`